Agents

Get an agent (Preview)

Preview · Available to selected organizations. Returns an agent with its draft, its current revision, and its newest published version number.

GET
/v1/agents/{id}

Returns an agent with its draft, its current revision, and its newest published version number.

x-api-key<token>

In: header

Path Parameters

id*string
Match^agt_[0-9a-hjkmnp-tv-z]{16,24}$

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/agents/string"
{  "id": "string",  "name": "string",  "namespaceId": "string",  "revision": "string",  "draft": {    "instructions": "string",    "knowledge": "string",    "endpointIds": [      "string"    ],    "integrationIds": [      "string"    ],    "mode": "live",    "model": "standard",    "approvalPolicy": "toolActions",    "workingHours": {      "timeZone": "string",      "ranges": [        {          "day": "monday",          "opens": "string",          "closes": "string"        }      ]    },    "takeoverTimeoutMinutes": 1  },  "publishedVersion": -9007199254740991,  "publishedAt": "string",  "createdAt": "string",  "updatedAt": "string"}

Related documentation